package org.xyzh.common.wechat.handler;

import org.xyzh.common.wechat.pojo.kefu.KefuCallback;

/**
 * @description    客服回调处理接口
 * @filename    KefuCallbackHandler.java
 * @author    yslg
 * @copyright xyzh
 * @since 2025-12-19
 */
public interface KefuCallbackHandler {
    
    void onEnterSession(KefuCallback callback);
    
    void onMsgSendFail(KefuCallback callback);
    
    void onUserRecallMsg(KefuCallback callback);
    
    void onServicerStatusChange(KefuCallback callback);
    
    void onSessionStatusChange(KefuCallback callback);
    
    void onTextMessage(KefuCallback callback);
    
    void onImageMessage(KefuCallback callback);
    
    void onVoiceMessage(KefuCallback callback);
    
    void onVideoMessage(KefuCallback callback);
    
    void onFileMessage(KefuCallback callback);
    
    void onLocationMessage(KefuCallback callback);
    
    void onLinkMessage(KefuCallback callback);
    
    void onBusinessCardMessage(KefuCallback callback);
    
    void onMiniprogramMessage(KefuCallback callback);
    
}
